---
search:
  tags:
    - Games
    - GET
seo:
  description: >-
    A game's aired events, in broadcast order. Reference for the GET
    /games/{id}/events endpoint in the Hockay API.
sidebar:
  label: A game's aired events, in broadcast order
  badge: GET
title: A game's aired events, in broadcast order
type: openapi-operation
---
`GET /games/{id}/events`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `404` — Not found (or not public yet)
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "type": "string",
      "period": -9007199254740991,
      "gameTimeSeconds": -9007199254740991,
      "broadcastAt": "string",
      "primaryPlayerId": "string",
      "secondaryPlayerId": "string",
      "teamId": "string",
      "homeScoreAfter": -9007199254740991,
      "awayScoreAfter": -9007199254740991,
      "commentary": "string",
      "onIce": {
        "home": {
          "skaters": [
            "string"
          ],
          "goalie": "string",
          "inBox": [
            "string"
          ]
        },
        "away": {
          "skaters": [
            "string"
          ],
          "goalie": "string",
          "inBox": [
            "string"
          ]
        }
      },
      "stat": {
        "property1": null,
        "property2": null
      }
    }
  ]
}
```
